package com.yaka;

import javax.swing.*;

class BoxLayoutExample implements LayoutExample {
    @Override
    public JPanel getContent() {
        JPanel panel = new JPanel();

        panel.setLayout(new BoxLayout(panel, BoxLayout.X_AXIS));

        panel.add(new JButton("Tinky Winky"));
        panel.add(new JButton("Dipsy"));
        panel.add(new JButton("Laa-Laa"));
        panel.add(new JButton("Po"));

        return panel;
    }

    @Override
    public String getName() {
        return "Box Layout";
    }
}
